groovy.lang

## Class MetaExpandoProperty

- java.lang.Object
- - groovy.lang.MetaProperty
  - - groovy.lang.MetaExpandoProperty

    public class MetaExpandoProperty
    extends MetaProperty

Represents a property in an Expando object

Version:
  $Revision: 20589 $
Author:
  John Stump

### Field Summary

### Fields inherited from class groovy.lang.MetaProperty

`name, PROPERTY_SET_PREFIX, type`

### Constructor Summary

Constructors
Constructor and Description
`MetaExpandoProperty(Map.Entry entry)`

### Method Summary

Methods
`Object` `getProperty(Object object)`
`void` `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

### Methods inherited from class groovy.lang.MetaProperty

`getGetterName, getModifiers, getName, getSetterName, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaExpandoProperty

    public MetaExpandoProperty(Map.Entry entry)

### Method Detail

#### getProperty

    public Object getProperty(Object object)

Specified by:
  `getProperty` in class `MetaProperty`
Returns:
  the property of the given object
Throws:
  `Exception` - if the property could not be evaluated

#### setProperty

    public void setProperty(Object object,
                   Object newValue)

Sets the property on the given object to the new value

Specified by:
  `setProperty` in class `MetaProperty`
Parameters:
  `object` - on which to set the property
  `newValue` - the new value of the property